/*

  ISLEHeaders.h
 
	Includes all the pertinent header files and provides some general definitions.
 
  August 26, 1992  isl
  
*/

#include	<fullMacHeaders>		//	My version of MacHeaders

#define	_H_ISLEHeaders

#define	isl
#define __TCL_DEBUG__ 1


/*		THE SYSTEM .h FILES			*/

#include	<Packages.h>				//	THINK C 5.0 iles
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>					//	String interfaces into ANSI

#include	<Global.h>					//	TCL 1.1 iles
#include	<Commands.h>
#include	<Constants.h>
#include	<GenericMDEF.h>
#include	<TBUtilities.h>


/*		CLASS DEFINITIONS				*/

#include	<CAppleEvent.h>			//	Core classes TCL 1.1
#include	<CApplication.h>
#include	<CArray.h>
#include	<CBartender.h>
#include	<CBureaucrat.h>
#include	<CChore.h>
#include	<CClipboard.h>
#include	<CCluster.h>
#include	<CCollaborator.h>
#include	<CCollection.h>
#include	<CControl.h>
#include	<CDecorator.h>
#include	<CDesktop.h>
#include	<CDirector.h>
#include	<CDirectorOwner.h>
#include	<CDocument.h>
#include	<CEnvironment.h>
#include	<CError.h>
#include	<CFile.h>
#include	<CList.h>
#include	<CMBarChore.h>
#include	<CMouseTask.h>
#include	<CObject.h>
#include	<CPane.h>
#include	<CPaneBorder.h>
#include	<CPanorama.h>
#include	<CPicture.h>
#include	<CPrinter.h>
#include	<CRunArray.h>
#include	<CScrollBar.h>
#include	<CScrollPane.h>
#include	<CSizeBox.h>
#include	<CSwitchboard.h>
#include	<CTask.h>
#include	<CView.h>
#include	<CWindow.h>

#include	<CBitMap.h>					//	More classes TCL 1.1
#include	<CBitMapPane.h>
#include	<CStack.h>
#include	<CTextEnvirons.h>

#include	<CAbstractText.h>		//	Text classes TCL 1.1
#include	<CEditText.h>
#include	<CStyleText.h>
#include	<CStyleTEClipboard.h>
#include	<CStyleTEEditTask.h>
#include	<CStyleTEStyleTask.h>
#include	<CTextEditTask.h>
#include	<CTextStyleTask.h>

#include	<CDataFile.h>				//	File classes TCL 1.1
#include	<CResFile.h>
#include	<CPictFile.h>
#include	<CPNTGFile.h>

#include	<CPopupMenu.h>			//	Control classes TCL 1.1
#include	<CPopupPane.h>
#include	<CArrowPopupPane.h>
#include	<CSTDPopupPane.h>
#include	<CButton.h>
#include	<CCheckBox.h>
#include	<CIconPane.h>
#include	<CRadioControl.h>
#include	<CRadioGroupPane.h>

#include	<CDialog.h>					//	Dialog classes TCL 1.1
#include	<CDialogDirector.h>
#include	<CDialogText.h>
#include	<CDLOGDialog.h>
#include	<CDLOGDirector.h>
#include	<CIntegerText.h>

#include	<CArrayPane.h>			//	Table classes TCL 1.1
#include	<CTable.h>
#include	<CTableDragger.h>

#include	<CPaneMDEF.h>				//	FW/Tearoffs classes TCL 1.1
#include	<CCharGrid.h>
#include	<CPatternGrid.h>
#include	<CFWDesktop.h>
#include	<CGridSelector.h>
#include	<CMenuDefProc.h>
#include	<CSelector.h>
#include	<CSelectorMDEF.h>
#include	<CTearChore.h>
#include	<CTearOffMenu.h>

#include	<TCLUtilities.h>		//	Utility function declarations


/*			ISLE DEFINITIONS			*/
#include	"Cosmetics.h"				//	Silly things that make me happy